> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scopes

> Retrieve scopes by their IDs

## Query Parameters

<ParamField query="ids" type="string">
  Comma-separated list of scope IDs to retrieve
</ParamField>

## Response

Returns an array of scope objects.

<ResponseField name="scopes" type="array">
  <Expandable title="Scope object">
    <ResponseField name="id" type="string">
      Unique identifier for the scope
    </ResponseField>

    <ResponseField name="name" type="string">
      Display name of the scope
    </ResponseField>

    <ResponseField name="typeId" type="string">
      The scope type ID
    </ResponseField>

    <ResponseField name="externalId" type="string">
      External identifier for the scope
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://api.example.com/scopes?ids=scope_1,scope_2' \
    -H 'Authorization: Bearer YOUR_TOKEN'
  ```

  ```javascript Node.js theme={null}
  const axios = require('axios');

  const { data } = await axios.get('https://api.example.com/scopes', {
    params: { ids: 'scope_1,scope_2' },
    headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
  });
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "id": "scope_1",
      "name": "Acme Organization",
      "typeId": "type_org",
      "externalId": "org-acme"
    },
    {
      "id": "scope_2",
      "name": "Engineering Team",
      "typeId": "type_team",
      "externalId": "team-eng"
    }
  ]
  ```
</ResponseExample>
